Anyone get Docker Plugin working with 2016.3.4 on Ubuntu 16.10

Answered

I updated what I believe to be a relevant issue here: https://youtrack.jetbrains.com/issue/IDEA-163232#tab=Comments 

There error is: 

Cannot connect:java.lang.NoClassDefFoundError:Could not initialize class
com.github.dockerjava.core.command.PingCmdImpl

Would love to know if anyone has had any success getting the plugin to work.  I haven't tried to use it since recent changes but it did work before.

4 comments
Comment actions Permalink

Are you referring to the one I mentioned and commented on?  Is there another issue?  

0
Comment actions Permalink

As noted in the latest update to the ticket, removing the plugin's library cache resolved the issue for me.  On my machine the cache was found here:

~/.IntelliJIdea2016.3/system/remote-server-libraries/docker-2.4.1/

 

0
Comment actions Permalink

Please follow YouTrack issue for updates.

-1

Please sign in to leave a comment.